# usernameToEmail | windmill-client
Documentation for windmill-client

# Function usernameToEmail

- usernameToEmail(username): Promise<string>

- Get email from workspace username This method is particularly useful for apps that require the email address of the viewer. Indeed, in the viewer context, WM_USERNAME is set to the username of the viewer but WM_EMAIL is set to the email of the creator of the app.

  #### Parameters

  - username: string

  #### Returns Promise<string>

  email address

  - Defined in src/client.ts:730